% a script to perform cross validation.

trname = 'data/dblp-train.mat';
tename = 'data/dblp-test.mat';
% method_names = {'Inde', 'Online', 'Offline'};
% method_names = {'Inde', 'Online'};
method_names = {'Offline'};


% tolerance for convergence
param.tol = 0.1;
% maximal number of iterations to run 
% please change to a desirable number
param.maxIter=1;  



for methodIndex = 1:length(method_names)
    method = method_names{methodIndex};
    sprintf('%s : perform training\n', method)
    switch method
%         case 'Inde'
%             param.tol = tol/num_months;
%             [models, time(methodIndex)] = relational(trname, param);
%         case 'Online'
%             param.tol = tol/num_months;
%             [models, time(methodIndex)] = online_relational(trname, param);
            
        case 'Offline'
            [models, time(methodIndex)] = offline_relational(trname, param);
    end
    
    cv_trace{methodIndex}.models = models;
    sprintf('%s : perform evaluation\n', method)
    cv_trace{methodIndex}.perf = evaluate_cluster(tename, models, param);
    save(trace_file, 'cv_trace', 'time');
end

